View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *      http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17
    18  package org.apache.portals.bridges.common;
    19
    20  /***
    21   * ScriptRuntimeData
    22   *
    23   * Base class  that provides meta data to no Java portlets such as:
    24   * PHP, Perl
    25   *
    26   * @author <a href="mailto:rogerrut@apache.org">Roger Ruttimann</a>
    27   * @version $Id: ScriptRuntimeData.java 517068 2007-03-12 01:44:37Z ate $
    28   */
    29  public class ScriptRuntimeData {
    30
    31  	// Class members
    32  	private String	scriptName = "";
    33  	private String	queryString = "";
    34  	private String	displayMessage = "";
    35  	private String	sessionParameterName = "";
    36  	private String	applicationName = "";
    37
    38  	/***
    39  	 * addQueryString()
    40  	 * Adds one argument at the time to the query strings. Takes care of the separators
    41  	 *
    42  	  */
    43  	public void addQueryArgument(String queryArgument)
    44  	{
    45  		if (queryString == null)
    46  		{
    47  			queryString = queryArgument;
    48  		}
    49  		else
    50  		{
    51  			queryString += '&';
    52  			queryString += queryArgument;
    53  		}
    54  	}
    55
    56  	/***
    57  	 * @return Returns the displayMessage.
    58  	 */
    59  	public String getDisplayMessage() {
    60  		return displayMessage;
    61  	}
    62  	/***
    63  	 * @param displayMessage The displayMessage to set.
    64  	 */
    65  	public void setDisplayMessage(String displayMessage) {
    66  		this.displayMessage = displayMessage;
    67  	}
    68  	/***
    69  	 * @return Returns the queryString.
    70  	 */
    71  	public String getQueryString() {
    72  		return queryString;
    73  	}
    74  	/***
    75  	 * @param queryString The queryString to set.
    76  	 */
    77  	public void setQueryString(String queryString) {
    78  		this.queryString = queryString;
    79  	}
    80  	/***
    81  	 * @return Returns the scriptName.
    82  	 */
    83  	public String getScriptName() {
    84  		return scriptName;
    85  	}
    86  	/***
    87  	 * @param scriptName The scriptName to set.
    88  	 */
    89  	public void setScriptName(String scriptName) {
    90  		this.scriptName = scriptName;
    91  	}
    92  	/***
    93  	 * @return Returns the sessionParameterName.
    94  	 */
    95  	public String getSessionParameterName() {
    96  		return sessionParameterName;
    97  	}
    98  	/***
    99  	 * @param sessionParameterName The sessionParameterName to set.
    100 	 */
    101 	public void setSessionParameterName(String sessionParameterName) {
    102 		this.sessionParameterName = sessionParameterName;
    103 	}
    104 	/***
    105 	 * @return Returns the applicationName.
    106 	 */
    107 	public String getApplicationName() {
    108 		return this.applicationName;
    109 	}
    110 	/***
    111 	 * @param applicationName The applicationName to set.
    112 	 */
    113 	public void setApplicationName(String applicationName) {
    114 		this.applicationName = applicationName;
    115 	}
    116 }